Subject: bug#19681: [PATCH] sync: use syncfs(2) if any argument is specified

From: Giuseppe Scrivano <[email-masked]>
Date: Sun, 25 Jan 2015 18:19:18 +0100

Paul Eggert <[email-masked]> writes:

> If we're adding this sort of option, shouldn't we also give users the
> ability to invoke fsync and fdatasync on a single file, as opposed to
> syncfs on an entire file system?

Good point.  Should we instead add something like --file-system and
--data-only, respectively for syncfs and fdatasync and use fsync if no
option is specified?

Giuseppe